﻿// <auto-generated> This file has been auto generated by EF Core Power Tools. </auto-generated>
#nullable disable
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace Airlines.Repository.Entities;

[Table("Airport")]
public partial class Airport
{
    [Key]
    [StringLength(3)]
    [Unicode(false)]
    public string Code { get; set; }

    public int AirportID { get; set; }

    [Required]
    [StringLength(100)]
    [Unicode(false)]
    public string Name { get; set; }

    [Required]
    [StringLength(100)]
    [Unicode(false)]
    public string Country { get; set; }

    [Required]
    [StringLength(100)]
    [Unicode(false)]
    public string City { get; set; }

    public int RunwaysCount { get; set; }

    public DateOnly Founded { get; set; }

    [InverseProperty("ArrivalAirportNavigation")]
    public virtual ICollection<Flight> FlightArrivalAirportNavigations { get; set; } = new List<Flight>();

    [InverseProperty("DepartureAirportNavigation")]
    public virtual ICollection<Flight> FlightDepartureAirportNavigations { get; set; } = new List<Flight>();
}